| Home | Libraries | People | FAQ | More

## Function template transform

boost::yap::transform

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr, typename Transform, typename... Transforms>
      decltype(auto) constexpr
      transform(Expr && expr, Transform && transform, Transforms &&... transforms);

## Description

Returns the result of transforming (all or part of) expr using whatever overloads of `Transform::operator()` match expr.

| Note
Transformations can do anything: they may have side effects; they may mutate values; they may mutate types; and they may do any combination of these.